Index: src/sas/perspectives/fitting/simfitpage.py
===================================================================
--- src/sas/perspectives/fitting/simfitpage.py	(revision 386ffe12ba023b3eab0fbbb16a6f958ed7c099a3)
+++ src/sas/perspectives/fitting/simfitpage.py	(revision 2f4b43041eaa7b7f496750f223a299cb33cd268e)
@@ -2,7 +2,7 @@
     Simultaneous fit page
 """
-import sys,re,string, wx
+import sys, re, string, wx
 import wx.lib.newevent
-from sas.guiframe.events import StatusEvent 
+from sas.guiframe.events import StatusEvent
 from sas.guiframe.panel_base import PanelBase
 from wx.lib.scrolledpanel import ScrolledPanel
@@ -15,12 +15,12 @@
     PANEL_WID = 490
     FONT_VARIANT = 1
-       
-            
+
+
 def get_fittableParam(model):
     """
     return list of fittable parameters name of a model
-    
+
     :param model: the model used
-    
+
     """
     fittable_param = []
@@ -29,8 +29,8 @@
             if not item in model.non_fittable:
                 fittable_param.append(item)
-            
+
     for item in model.fixed:
         fittable_param.append(item)
-        
+
     return fittable_param
 
@@ -46,6 +46,6 @@
     ## Title to appear on top of the window
     window_caption = "Simultaneous Fit Page"
-    
-    def __init__(self, parent, page_finder={}, id=-1, batch_on=False,
+
+    def __init__(self, parent, page_finder={}, id= -1, batch_on=False,
                      *args, **kwargs):
         ScrolledPanel.__init__(self, parent, id=id,
@@ -84,5 +84,5 @@
         self.set_layout()
         self._set_save_flag(False)
-        
+
     def define_page_structure(self):
         """
@@ -100,10 +100,10 @@
         self.vbox.Add(self.sizer2)
         self.vbox.Add(self.sizer3)
-        
+
     def set_scroll(self):
         """
         """
         self.Layout()
-         
+
     def set_layout(self):
         """
@@ -115,5 +115,5 @@
         self.set_scroll()
         self.Centre()
-        
+
     def onRemove(self, event):
         """
@@ -140,9 +140,9 @@
 
         #self._onAdd_constraint(None)
-             
+
     def onFit(self, event):
         """
         signal for fitting
-        
+
         """
         flag = False
@@ -161,5 +161,5 @@
             for item in self.model_list:
                 if item[0].GetValue():
-                    self.manager.schedule_for_fit(value=1, uid=item[2]) 
+                    self.manager.schedule_for_fit(value=1, uid=item[2])
             try:
                 if not self.manager.onFit(uid=self.uid):
@@ -171,14 +171,14 @@
             msg = "Select at least one model check box to fit "
             wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
-           
+
     def set_manager(self, manager):
         """
         set panel manager
-        
+
         :param manager: instance of plugin fitting
-        
+
         """
         self.manager = manager
-       
+
     def check_all_model_name(self, event=None):
         """
@@ -191,5 +191,5 @@
                     item[0].SetValue(True)
                     self.model_toFit.append(item)
-                
+
             ## constraint info
             self._store_model()
@@ -198,19 +198,19 @@
                 if self.show_constraint.GetValue() and\
                                  len(self.constraints_list) == 0:
-                    self._show_all_constraint() 
+                    self._show_all_constraint()
                     self._show_constraint()
         else:
             for item in self.model_list:
-                item[0].SetValue(False) 
-                
+                item[0].SetValue(False)
+
             self.model_toFit = []
             if not self.batch_on:
                 ##constraint info
                 self._hide_constraint()
-            
+
         self._update_easy_setup_cb()
         self.Layout()
         self.Refresh()
-        
+
     def check_model_name(self, event):
         """
@@ -226,5 +226,5 @@
                     self.model_toFit.remove(item)
                     self.cb1.SetValue(False)
-        
+
         ## display constraint fields
         if len(self.model_toFit) >= 1:
@@ -238,5 +238,5 @@
             ##constraint info
             self._hide_constraint()
-                        
+
         self._update_easy_setup_cb()
         ## set the value of the main check button
@@ -248,5 +248,5 @@
             self.cb1.SetValue(False)
             self.Layout()
-            
+
     def _update_easy_setup_cb(self):
         """
@@ -276,8 +276,8 @@
             self.sizer2.Layout()
             self.sizer3.Layout()
-        
+
     def draw_page(self):
         """
-        Draw a sizer containing couples of data and model 
+        Draw a sizer containing couples of data and model
         """
         self.model_list = []
@@ -288,10 +288,10 @@
         self.model_cbox_left = None
         self.model_cbox_right = None
-        
+
         if len(self.model_list) > 0:
             for item in self.model_list:
                 item[0].SetValue(False)
                 self.manager.schedule_for_fit(value=0, uid=item[2])
-                
+
         self.sizer1.Clear(True)
         box_description = wx.StaticBox(self, -1, "Fit Combinations")
@@ -308,15 +308,15 @@
             ## store model
             self._store_model()
-        
+
             self.cb1 = wx.CheckBox(self, -1, 'Select all')
             self.cb1.SetValue(False)
-            
+
             wx.EVT_CHECKBOX(self, self.cb1.GetId(), self.check_all_model_name)
-            
+
             sizer_title.Add((10, 10), 0,
-                wx.TOP|wx.BOTTOM|wx.EXPAND|wx.ADJUST_MINSIZE, border=5)
+                wx.TOP | wx.BOTTOM | wx.EXPAND | wx.ADJUST_MINSIZE, border=5)
             sizer_title.Add(self.cb1, 0,
-                wx.TOP|wx.BOTTOM|wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, border=5)
-            
+                wx.TOP | wx.BOTTOM | wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, border=5)
+
             ## draw list of model and data name
             self._fill_sizer_model_list(sizer_couples)
@@ -327,7 +327,7 @@
             self._fill_sizer_fit()
         #--------------------------------------------------------
-        boxsizer1.Add(sizer_title, flag = wx.TOP|wx.BOTTOM, border=5) 
-        boxsizer1.Add(sizer_couples, 1, flag = wx.TOP|wx.BOTTOM, border=5)
-       
+        boxsizer1.Add(sizer_title, flag=wx.TOP | wx.BOTTOM, border=5)
+        boxsizer1.Add(sizer_couples, 1, flag=wx.TOP | wx.BOTTOM, border=5)
+
         self.sizer1.Add(boxsizer1, 1, wx.EXPAND | wx.ALL, 10)
         self.sizer1.Layout()
@@ -335,5 +335,5 @@
         self.AdjustScrollbars()
         self.Layout()
-        
+
     def _store_model(self):
         """
@@ -346,5 +346,5 @@
             page_id = item[2]
             self.constraint_dict[page_id] = model
-                   
+
     def _display_constraint(self, event):
         """
@@ -366,11 +366,11 @@
             self.Layout()
             return
-       
+
     def _show_all_constraint(self):
         """
         Show constraint fields
         """
-        box_description = wx.StaticBox(self, -1,"Easy Setup ")
-        boxsizer = wx.StaticBoxSizer(box_description, wx.HORIZONTAL)     
+        box_description = wx.StaticBox(self, -1, "Easy Setup ")
+        boxsizer = wx.StaticBoxSizer(box_description, wx.HORIZONTAL)
         sizer_constraint = wx.BoxSizer(wx.HORIZONTAL)
         self.model_cbox_left = wx.ComboBox(self, -1, style=wx.CB_READONLY)
@@ -388,5 +388,5 @@
         self.set_button.SetToolTipString(set_tip)
         self.set_button.Disable()
-        
+
         for id, model in self.constraint_dict.iteritems():
             ## check if all parameters have been selected for constraint
@@ -399,23 +399,23 @@
             self.model_cbox_right.Append(str(model.name), model)
         boxsizer.Add(self.model_cbox_left,
-                             flag=wx.RIGHT|wx.EXPAND, border=10)
+                             flag=wx.RIGHT | wx.EXPAND, border=10)
         boxsizer.Add(wx.StaticText(self, -1, ".parameters"),
-                             flag=wx.RIGHT|wx.EXPAND, border=5)
-        boxsizer.Add(egal_txt, flag= wx.RIGHT|wx.EXPAND, border=5)
+                             flag=wx.RIGHT | wx.EXPAND, border=5)
+        boxsizer.Add(egal_txt, flag=wx.RIGHT | wx.EXPAND, border=5)
         boxsizer.Add(self.model_cbox_right,
-                             flag=wx.RIGHT|wx.EXPAND, border=10)
+                             flag=wx.RIGHT | wx.EXPAND, border=10)
         boxsizer.Add(wx.StaticText(self, -1, ".parameters"),
-                             flag=wx.RIGHT|wx.EXPAND,border=5)
+                             flag=wx.RIGHT | wx.EXPAND, border=5)
         boxsizer.Add((20, -1))
-        boxsizer.Add(self.set_button, flag=wx.RIGHT|wx.EXPAND, border=5)
-        sizer_constraint.Add(boxsizer, flag=wx.RIGHT|wx.EXPAND, border=5)
+        boxsizer.Add(self.set_button, flag=wx.RIGHT | wx.EXPAND, border=5)
+        sizer_constraint.Add(boxsizer, flag=wx.RIGHT | wx.EXPAND, border=5)
         self.sizer_all_constraints.Insert(before=0,
                              item=sizer_constraint,
-                             flag=wx.TOP|wx.BOTTOM|wx.EXPAND, border=5)
+                             flag=wx.TOP | wx.BOTTOM | wx.EXPAND, border=5)
 
         self.sizer_all_constraints.Layout()
         self.sizer2.Layout()
         #self.SetScrollbars(20,20,25,65)
-    
+
     def _on_select_modelcb(self, event):
         """
@@ -428,9 +428,9 @@
         if self.model_cbox_right.GetValue().strip() == '':
             flag = False
-        if self.model_cbox_left.GetValue() ==\
+        if self.model_cbox_left.GetValue() == \
                 self.model_cbox_right.GetValue():
             flag = False
         self.set_button.Enable(flag)
-        
+
     def _on_set_all_equal(self, event):
         """
@@ -471,5 +471,5 @@
                     break
                 self._show_constraint()
-        
+
         self.sizer_constraints.Layout()
         self.sizer2.Layout()
@@ -509,19 +509,19 @@
             self.sizer2.Layout()
             return
-            
+
         sizer_constraint = wx.BoxSizer(wx.HORIZONTAL)
         model_cbox = wx.ComboBox(self, -1, style=wx.CB_READONLY)
         model_cbox.Clear()
-        param_cbox = wx.ComboBox(self, -1,style=wx.CB_READONLY, size=(100, -1), )
+        param_cbox = wx.ComboBox(self, -1, style=wx.CB_READONLY, size=(100, -1),)
         param_cbox.Hide()
-        
+
         #This is for GetCLientData() _on_select_param: Was None return on MAC.
         self.param_cbox = param_cbox
-        
-        wx.EVT_COMBOBOX(param_cbox,-1, self._on_select_param)
+
+        wx.EVT_COMBOBOX(param_cbox, -1, self._on_select_param)
         self.ctl2 = wx.TextCtrl(self, -1)
         egal_txt = wx.StaticText(self, -1, " = ")
-        self.btRemove = wx.Button(self,wx.NewId(),'Remove')
-        self.btRemove.Bind(wx.EVT_BUTTON, self.onRemove, 
+        self.btRemove = wx.Button(self, wx.NewId(), 'Remove')
+        self.btRemove.Bind(wx.EVT_BUTTON, self.onRemove,
                            id=self.btRemove.GetId())
         self.btRemove.SetToolTipString("Remove constraint.")
@@ -533,26 +533,26 @@
             ## then do not allow add constraint on parameters
             model_cbox.Append(str(model.name), model)
-            
+
         #This is for GetCLientData() passing to self._on_select_param: Was None return on MAC.
         self.model_cbox = model_cbox
-           
+
         wx.EVT_COMBOBOX(model_cbox, -1, self._on_select_model)
         sizer_constraint.Add((5, -1))
-        sizer_constraint.Add(model_cbox, flag=wx.RIGHT|wx.EXPAND, border=10)
-        sizer_constraint.Add(param_cbox, flag=wx.RIGHT|wx.EXPAND, border=5)
-        sizer_constraint.Add(egal_txt, flag=wx.RIGHT|wx.EXPAND, border=5)
-        sizer_constraint.Add(self.ctl2, flag=wx.RIGHT|wx.EXPAND, border=10)
-        sizer_constraint.Add(self.btRemove, flag=wx.RIGHT|wx.EXPAND, border=10)
-      
+        sizer_constraint.Add(model_cbox, flag=wx.RIGHT | wx.EXPAND, border=10)
+        sizer_constraint.Add(param_cbox, flag=wx.RIGHT | wx.EXPAND, border=5)
+        sizer_constraint.Add(egal_txt, flag=wx.RIGHT | wx.EXPAND, border=5)
+        sizer_constraint.Add(self.ctl2, flag=wx.RIGHT | wx.EXPAND, border=10)
+        sizer_constraint.Add(self.btRemove, flag=wx.RIGHT | wx.EXPAND, border=10)
+
         self.sizer_constraints.Insert(before=self.nb_constraint,
-                        item=sizer_constraint, flag=wx.TOP|wx.BOTTOM|wx.EXPAND,
+                        item=sizer_constraint, flag=wx.TOP | wx.BOTTOM | wx.EXPAND,
                         border=5)
         self.constraints_list.append([model_cbox, param_cbox, egal_txt,
                                     self.ctl2, self.btRemove, sizer_constraint])
-    
+
         self.nb_constraint += 1
         self.sizer_constraints.Layout()
         self.sizer2.Layout()
-        
+
     def _hide_constraint(self):
         """
@@ -561,5 +561,5 @@
         for id in  self.page_finder.iterkeys():
             self.page_finder[id].clear_model_param()
-               
+
         self.nb_constraint = 0
         self.constraint_dict = {}
@@ -585,5 +585,5 @@
         self.sizer_constraints.Layout()
         self.sizer2.Layout()
-            
+
     def _on_select_model(self, event):
         """
@@ -611,5 +611,5 @@
         self.btAdd.Show(True)
         self.sizer2.Layout()
-        
+
     def _on_select_param(self, event):
         """
@@ -620,5 +620,5 @@
         #model = self.param_cbox.GetClientData(n)
         #param = event.GetString()
-      
+
         length = len(self.constraints_list)
         if length < 1:
@@ -626,8 +626,8 @@
         egal_txt = self.constraints_list[length - 1][2]
         egal_txt.Show(True)
-        
+
         ctl2 = self.constraints_list[length - 1][3]
         ctl2.Show(True)
-        
+
     def _onAdd_constraint(self, event):
         """
@@ -645,10 +645,10 @@
                 msg = " Select a model Name! "
                 wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
-                return 
+                return
             param_cbox = item[1]
             if param_cbox.GetString(0) == "":
                 msg = " Select a parameter Name! "
                 wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
-                return 
+                return
             ctl2 = item[3]
             if ctl2.GetValue().lstrip().rstrip() == "":
@@ -656,5 +656,5 @@
                                             param_cbox.GetCurrentSelection())
                 if model != None:
-                    msg = " Enter a constraint for %s.%s! "%(model.name, 
+                    msg = " Enter a constraint for %s.%s! " % (model.name,
                                                         param_cbox.GetString(0))
                 else:
@@ -667,5 +667,5 @@
         self.Layout()
         self.Refresh()
-        
+
     def _fill_sizer_fit(self):
         """
@@ -673,8 +673,8 @@
         """
         self.sizer3.Clear(True)
-        box_description= wx.StaticBox(self, -1, "Fit ")
+        box_description = wx.StaticBox(self, -1, "Fit ")
         boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
         sizer_button = wx.BoxSizer(wx.HORIZONTAL)
-          
+
         self.btFit = wx.Button(self, wx.NewId(), 'Fit', size=wx.DefaultSize)
         self.btFit.Bind(wx.EVT_BUTTON, self.onFit, id=self.btFit.GetId())
@@ -686,12 +686,12 @@
             text = " and a model for fitting."
         text_hint = wx.StaticText(self, -1, text)
-        
-        sizer_button.Add(text_hint, wx.RIGHT|wx.EXPAND, 10)
-        sizer_button.Add(self.btFit, 0, wx.LEFT|wx.ADJUST_MINSIZE, 10)
-        
-        boxsizer1.Add(sizer_button, flag= wx.TOP|wx.BOTTOM,border=10)
+
+        sizer_button.Add(text_hint, wx.RIGHT | wx.EXPAND, 10)
+        sizer_button.Add(self.btFit, 0, wx.LEFT | wx.ADJUST_MINSIZE, 10)
+
+        boxsizer1.Add(sizer_button, flag=wx.TOP | wx.BOTTOM, border=10)
         self.sizer3.Add(boxsizer1, 0, wx.EXPAND | wx.ALL, 10)
         self.sizer3.Layout()
-        
+
     def _fill_sizer_constraint(self):
         """
@@ -700,5 +700,5 @@
         msg = "Select at least 2 model to add constraint "
         wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
-        
+
         self.sizer2.Clear(True)
         if self.batch_on:
@@ -706,5 +706,5 @@
                 self.sizer2.Show(False)
             return
-        box_description= wx.StaticBox(self, -1, "Fit Constraints")
+        box_description = wx.StaticBox(self, -1, "Fit Constraints")
         boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
         sizer_title = wx.BoxSizer(wx.HORIZONTAL)
@@ -712,5 +712,5 @@
         self.sizer_constraints = wx.BoxSizer(wx.VERTICAL)
         sizer_button = wx.BoxSizer(wx.HORIZONTAL)
-        
+
         self.hide_constraint = wx.RadioButton(self, -1, 'No', (10, 10),
                                               style=wx.RB_GROUP)
@@ -725,15 +725,15 @@
         self.hide_constraint.SetValue(True)
         self.show_constraint.SetValue(False)
-        
+
         sizer_title.Add(wx.StaticText(self, -1, " Model"))
         sizer_title.Add((10, 10))
         sizer_title.Add(wx.StaticText(self, -1, " Parameter"))
         sizer_title.Add((10, 10))
-        sizer_title.Add( wx.StaticText(self,-1," Add Constraint?") )
+        sizer_title.Add(wx.StaticText(self, -1, " Add Constraint?"))
         sizer_title.Add((10, 10))
         sizer_title.Add(self.show_constraint)
         sizer_title.Add(self.hide_constraint)
         sizer_title.Add((10, 10))
-        
+
         self.btAdd = wx.Button(self, wx.NewId(), 'Add')
         self.btAdd.Bind(wx.EVT_BUTTON, self._onAdd_constraint,
@@ -741,22 +741,22 @@
         self.btAdd.SetToolTipString("Add another constraint?")
         self.btAdd.Hide()
-     
+
         text_hint = wx.StaticText(self, -1,
                                   "Example: [M0][paramter] = M1.parameter")
-        sizer_button.Add(text_hint, 0 , wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 10)
-        sizer_button.Add(self.btAdd, 0, wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 10)
-       
-        boxsizer1.Add(sizer_title, flag=wx.TOP|wx.BOTTOM,border=10)
-        boxsizer1.Add(self.sizer_all_constraints, flag=wx.TOP|wx.BOTTOM,
+        sizer_button.Add(text_hint, 0 , wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 10)
+        sizer_button.Add(self.btAdd, 0, wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 10)
+
+        boxsizer1.Add(sizer_title, flag=wx.TOP | wx.BOTTOM, border=10)
+        boxsizer1.Add(self.sizer_all_constraints, flag=wx.TOP | wx.BOTTOM,
                       border=10)
-        boxsizer1.Add(self.sizer_constraints, flag=wx.TOP|wx.BOTTOM,
+        boxsizer1.Add(self.sizer_constraints, flag=wx.TOP | wx.BOTTOM,
                       border=10)
-        boxsizer1.Add(sizer_button, flag=wx.TOP|wx.BOTTOM, border=10)
-        
+        boxsizer1.Add(sizer_button, flag=wx.TOP | wx.BOTTOM, border=10)
+
         self.sizer2.Add(boxsizer1, 0, wx.EXPAND | wx.ALL, 10)
         self.sizer2.Layout()
-       
+
         #self.SetScrollbars(20,20,25,65)
-    
+
     def _set_constraint(self):
         """
@@ -805,5 +805,5 @@
                                 StatusEvent(info="error", status=msg))
                         return False
-                        
+
                     for fid in self.page_finder[id].iterkeys():
                         # wrap in param/constraint in str() to remove unicode
@@ -812,5 +812,5 @@
                     break
         return True
-    
+
     def _fill_sizer_model_list(self, sizer):
         """
@@ -821,11 +821,11 @@
         list = []
         sizer.Clear(True)
-        
+
         new_name = wx.StaticText(self, -1, '  Model Title ',
                                  style=wx.ALIGN_CENTER)
         new_name.SetBackgroundColour('orange')
         new_name.SetForegroundColour(wx.WHITE)
-        sizer.Add(new_name,(iy, ix),(1,1),
-                            wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        sizer.Add(new_name, (iy, ix), (1, 1),
+                            wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
         ix += 2
         model_type = wx.StaticText(self, -1, '  Model ')
@@ -833,5 +833,5 @@
         model_type.SetForegroundColour(wx.WHITE)
         sizer.Add(model_type, (iy, ix), (1, 1),
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                            wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         ix += 1
         data_used = wx.StaticText(self, -1, '  Data ')
@@ -839,5 +839,5 @@
         data_used.SetForegroundColour(wx.WHITE)
         sizer.Add(data_used, (iy, ix), (1, 1),
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                            wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         ix += 1
         tab_used = wx.StaticText(self, -1, '  FitPage ')
@@ -845,5 +845,5 @@
         tab_used.SetForegroundColour(wx.WHITE)
         sizer.Add(tab_used, (iy, ix), (1, 1),
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                            wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         for id, value in self.page_finder.iteritems():
             if id not in self.parent.opened_pages:
@@ -852,10 +852,10 @@
             if self.batch_on != self.parent.get_page_by_id(id).batch_on:
                 continue
-            
+
             data_list = []
             model_list = []
             # get data name and model objetta
             for fitproblem in value.get_fit_problem():
-                
+
                 data = fitproblem.get_fit_data()
                 if not data.is_data:
@@ -865,10 +865,10 @@
                     name = str(data.name)
                 data_list.append(name)
-                    
+
                 model = fitproblem.get_model()
                 if model is None:
                     continue
                 model_list.append(model)
-           
+
             if len(model_list) == 0:
                 continue
@@ -883,12 +883,12 @@
             cb.SetValue(False)
             cb.Enable(model is not None and data.is_data)
-            sizer.Add(cb, (iy, ix), (1, 1), 
-                       wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+            sizer.Add(cb, (iy, ix), (1, 1),
+                       wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
             wx.EVT_CHECKBOX(self, cb.GetId(), self.check_model_name)
-            ix += 2 
+            ix += 2
             type = model.__class__.__name__
             model_type = wx.StaticText(self, -1, str(type))
             sizer.Add(model_type, (iy, ix), (1, 1),
-                      wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                      wx.EXPAND | wx.ADJUST_MINSIZE, 0)
             if self.batch_on:
                 data_used = wx.ComboBox(self, -1, style=wx.CB_READONLY)
@@ -897,21 +897,21 @@
             else:
                 data_used = wx.StaticText(self, -1, data_list[0])
-            
+
             ix += 1
             sizer.Add(data_used, (iy, ix), (1, 1),
-                      wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                      wx.EXPAND | wx.ADJUST_MINSIZE, 0)
             ix += 1
             caption = value.get_fit_tab_caption()
             tab_caption_used = wx.StaticText(self, -1, str(caption))
             sizer.Add(tab_caption_used, (iy, ix), (1, 1),
-                      wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-            
+                      wx.EXPAND | wx.ADJUST_MINSIZE, 0)
+
             self.model_list.append([cb, value, id, model])
-            
+
         iy += 1
         sizer.Add((20, 20), (iy, ix), (1, 1),
-                  wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+                  wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
         sizer.Layout()
-    
+
     def on_set_focus(self, event=None):
         """
